Criar review
curl --request POST \
--url https://api.dooki.com.br/v2/{alias}/catalog/reviews \
--header 'Content-Type: application/json' \
--header 'User-Secret-Key: <api-key>' \
--header 'User-Token: <api-key>' \
--data '
{
"product_id": 123,
"name": "<string>",
"email": "<string>",
"rating": 123,
"message": "<string>",
"approved": true
}
'import requests
url = "https://api.dooki.com.br/v2/{alias}/catalog/reviews"
payload = {
"product_id": 123,
"name": "<string>",
"email": "<string>",
"rating": 123,
"message": "<string>",
"approved": True
}
headers = {
"User-Token": "<api-key>",
"User-Secret-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'User-Token': '<api-key>',
'User-Secret-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
product_id: 123,
name: '<string>',
email: '<string>',
rating: 123,
message: '<string>',
approved: true
})
};
fetch('https://api.dooki.com.br/v2/{alias}/catalog/reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"product_id": 123,
"product_name": "<string>",
"approved": true,
"rating": 123,
"name": "<string>",
"email": "jsmith@example.com",
"message": "<string>",
"total": 123
}Avaliações de produtos
Criar review
Cria uma nova review para um produto
POST
/
{alias}
/
catalog
/
reviews
Criar review
Path Parameters
Alias da loja
Body
application/json
Representa os dados necessários para criar ou atualizar uma review de produto
Was this page helpful?
⌘I